Skip to content

TellerFee⁠

Perform various operations for Symitar parameters.

Operations⁠

getTellerFeeSelectFields⁠

POST

Execute the persistent ParameterService getTellerFeeSelectFields operation.

Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

TellerFeeTellerTransactionFeeTypeintegeroptional
Path Parameters
symstringrequired
Sym number
MessageIdstringoptional
POST/nexum/{sym}/persistent/parameter/getTellerFeeSelectFields
POST /nexum/627/persistent/parameter/getTellerFeeSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "TellerFeeTellerTransactionFeeType": 0,
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "DeviceInformation": {
    "DeviceType": "string",
    "DeviceNumber": 0
  },
  "SelectableFields": {
    "IncludeAllTellerFeeFields": true,
    "TellerFeeFields": {
      "CalculationType": true,
      "FeeDescription": true,
      "FeeGlCode": true,
      "RelCodeList": [
        0
      ],
      "RelSvLnTypes": [
        0
      ],
      "RelationBaseAmount": [
        0
      ],
      "RelationBaseCount": [
        0
      ],
      "RelationFeeAmount": [
        0
      ],
      "TellerTransactionFeeType": true
    }
  },
  "nxAttributes": {
    "customFields": {}
  }
}

getTellerFeePagedListSelectFields⁠

POST

Execute the persistent ParameterService getTellerFeePagedListSelectFields operation.

Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

Path Parameters
symstringrequired
Sym number
Tokenstringoptional
MessageIdstringoptional
POST/nexum/{sym}/persistent/parameter/getTellerFeePagedListSelectFields
POST /nexum/627/persistent/parameter/getTellerFeePagedListSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "DeviceInformation": {
    "DeviceType": "string",
    "DeviceNumber": 0
  },
  "PagingRequestContext": {
    "NumberOfRecordsToReturn": 0,
    "NumberOfRecordsToSkip": 0,
    "Token": "string"
  },
  "SelectableFields": {
    "IncludeAllTellerFeeFields": true,
    "TellerFeeFields": {
      "CalculationType": true,
      "FeeDescription": true,
      "FeeGlCode": true,
      "RelCodeList": [
        0
      ],
      "RelSvLnTypes": [
        0
      ],
      "RelationBaseAmount": [
        0
      ],
      "RelationBaseCount": [
        0
      ],
      "RelationFeeAmount": [
        0
      ],
      "TellerTransactionFeeType": true
    }
  },
  "nxAttributes": {
    "customFields": {}
  }
}

searchTellerFeePagedSelectFields⁠

POST

Execute the persistent ParameterService searchTellerFeePagedSelectFields operation.

Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

Path Parameters
symstringrequired
Sym number
Tokenstringoptional
MessageIdstringoptional
POST/nexum/{sym}/persistent/parameter/searchTellerFeePagedSelectFields
POST /nexum/627/persistent/parameter/searchTellerFeePagedSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "DeviceInformation": {
    "DeviceType": "string",
    "DeviceNumber": 0
  },
  "PagingRequestContext": {
    "NumberOfRecordsToReturn": 0,
    "NumberOfRecordsToSkip": 0,
    "Token": "string"
  },
  "SelectableFields": {
    "IncludeAllTellerFeeFields": true,
    "TellerFeeFields": {
      "CalculationType": true,
      "FeeDescription": true,
      "FeeGlCode": true,
      "RelCodeList": [
        0
      ],
      "RelSvLnTypes": [
        0
      ],
      "RelationBaseAmount": [
        0
      ],
      "RelationBaseCount": [
        0
      ],
      "RelationFeeAmount": [
        0
      ],
      "TellerTransactionFeeType": true
    }
  },
  "SearchFilter": {
    "Query": "string"
  },
  "nxAttributes": {
    "customFields": {}
  }
}

updateTellerFeeByID⁠

POST

Execute the persistent ParameterService updateTellerFeeByID operation.

Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

TellerFeeTellerTransactionFeeTypeintegeroptional
Path Parameters
symstringrequired
Sym number
MessageIdstringoptional
POST/nexum/{sym}/persistent/parameter/updateTellerFeeByID
POST /nexum/627/persistent/parameter/updateTellerFeeByID HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "TellerFeeTellerTransactionFeeType": 0,
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "DeviceInformation": {
    "DeviceType": "string",
    "DeviceNumber": 0
  },
  "TellerFeeFields": {
    "CalculationType": 0,
    "FeeDescription": "string",
    "FeeGlCode": 0,
    "RelCodeList": [
      {
        "EntryId": 0,
        "RelCodeList": {
          "Bit": [
            0
          ]
        }
      }
    ],
    "RelSvLnTypes": [
      {
        "EntryId": 0,
        "RelSvLnTypes": {
          "Bit": [
            0
          ]
        }
      }
    ],
    "RelationBaseAmount": [
      {
        "EntryId": 0,
        "RelationBaseAmount": 0
      }
    ],
    "RelationBaseCount": [
      {
        "EntryId": 0,
        "RelationBaseCount": 0
      }
    ],
    "RelationFeeAmount": [
      {
        "EntryId": 0,
        "RelationFeeAmount": 0
      }
    ],
    "TellerTransactionFeeType": 0
  },
  "nxAttributes": {
    "customFields": {}
  }
}